Subject: Bug#989447: exabgp service keeps restarting indifinitely

From: Lucas da Vila <[email-masked]>
Date: Thu, 03 Jun 2021 21:36:38 +0000

Package: exabgp
Version: 4.2.8-1
Severity: normal
X-Debbugs-Cc: [email-masked]

Dear Maintainer,

   * What led up to the situation?
   After installing the exabgp package and creating the
   /etc/exabgp/exabgp.conf file I've tried to start the service `service
   exabgp start`. Exabgp started and announced the route to a route-server
   buy the route was flapping because the exabgp service was restart
   periodically.
   This error showed up 
   ```
   | api             | command from process not
   understood : error: a named pipe exists and we can not read/write to
   it ( /run/exabgp.in )
   | process         | Too many death for api-internal-cli-fe70ad58 (5) terminating program
   | reactor         | Problem when sending message(s) to helper program, stopping
   | reactor         | performing shutdown
   ```

   The /run/exabgp.in has the followinf permissions:
   ```
   # ls -l /run/exabgp*
   prw------- 1 exabgp exabgp  0 Jun  1 22:30 /run/exabgp.in
   prw------- 1 exabgp exabgp  0 Jun  1 22:30 /run/exabgp.out
   ```

   I think it's permissions issue beetween the user running de process
   and the user that owns the files.

   * What exactly did you do (or not do) that was effective (or
     ineffective)?
     I've removed the comment on the lines `User=exabgp` and
     `Group=exagp` in the /lib/systemd/system/exabgp.service 

   * What was the outcome of this action?
   The exabgp service stopped restarting, and the error didn't appear
   anymore

-- System Information:
Debian Release: 11.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 5.10.0-5-amd64 (SMP w/2 CPU threads)
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages exabgp depends on:
ii  adduser                3.118
ii  debconf                1.5.75
ii  dpkg                   1.20.9
ii  lsb-base               11.1.0
ii  python3-exabgp         4.2.8-1
ii  python3-pkg-resources  52.0.0-3
ii  ucf                    3.0043

exabgp recommends no packages.

exabgp suggests no packages.

-- no debconf information